<?php 
$wp_customize->add_section( 'buconz_starter_blog_section', array(
	'capability'            => 'edit_theme_options',
	'priority'              => 6,
	'title'                 => __( 'Latest Blog', 'buconz-starter' ),
	'description'           => __( 'Recent Published Blog.', 'buconz-starter' ),
	'panel'                 => 'buconz_starter_front_option'
) );

// Enable Slider Section
$wp_customize->add_setting( 'buconz_starter_blog_enable',
  array(
    'default'           => '',
    'sanitize_callback'     => 'buconz_starter_sanitize_checkbox'
  )
);

$wp_customize->add_control( 'buconz_starter_blog_enable',
  array(
    'label'         => esc_html__( 'Show Latest Blog', 'buconz-starter' ),
    'section'       => 'buconz_starter_blog_section',
    'type'          => 'checkbox',
    'priority'      => 1,
  )
);


$wp_customize->add_setting( 'buconz_starter_blog_top_title', array(
    'capability'            => 'edit_theme_options',
    'default'               => '',
    'sanitize_callback'     => 'sanitize_text_field'
) );

$wp_customize->add_control( 'buconz_starter_blog_top_title', array(
    'label'                 =>  __( 'blog section top badge', 'buconz-starter' ),
    'section'               => 'buconz_starter_blog_section',
    'type'                  => 'text',
    'settings'              => 'buconz_starter_blog_top_title',
) );

$wp_customize->add_setting( 'buconz_starter_blog_title', array(
    'capability'            => 'edit_theme_options',
    'default'               => '',
    'sanitize_callback'     => 'sanitize_text_field'
) );

$wp_customize->add_control( 'buconz_starter_blog_title', array(
    'label'                 =>  __( 'blog section title', 'buconz-starter' ),
    'section'               => 'buconz_starter_blog_section',
    'type'                  => 'text',
    'settings'              => 'buconz_starter_blog_title',
) );

$wp_customize->add_setting( 'buconz_starter_blog_content', array(
    'capability'            => 'edit_theme_options',
    'default'               => '',
    'sanitize_callback'     => 'sanitize_text_field'
) );

$wp_customize->add_control( 'buconz_starter_blog_content', array(
    'label'                 =>  __( 'blog section description', 'buconz-starter' ),
    'section'               => 'buconz_starter_blog_section',
    'type'                  => 'text',
    'settings'              => 'buconz_starter_blog_content',
) );

$wp_customize->add_setting( 'buconz_starter_blog_content', array(
    'capability'            => 'edit_theme_options',
    'default'               => '',
    'sanitize_callback'     => 'wp_filter_nohtml_kses'
) );

$wp_customize->add_control( 'buconz_starter_blog_content', array(
    'label'                 =>  __( 'Type Section Description', 'buconz-starter' ),
    'section'               => 'buconz_starter_blog_section',
    'type'                  => 'text',
    'settings'              => 'buconz_starter_blog_content',
) );


//	Blog Categories
$wp_customize->add_setting('buconz_starter_blog_category_id',array(
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'buconz_starter_sanitize_category',
	'default' =>  '1',
   )
);
$wp_customize->add_control(new buconz_starter_Customize_Dropdown_Taxonomies_Control($wp_customize,'buconz_starter_blog_category_id',
    array(
        'label' => __('Select category for Blog','buconz-starter'),
        'section' => 'buconz_starter_blog_section',
        'settings' => 'buconz_starter_blog_category_id',
        'type'=> 'dropdown-taxonomies',
    )
));